import { __awaiter, __generator } from "tslib";
import { PlatformTools } from "../../platform/PlatformTools";
/**
 * Reads connection options defined in the JSON file.
 */
var ConnectionOptionsJsonReader = /** @class */ (function () {
    function ConnectionOptionsJsonReader() {
    }
    // -------------------------------------------------------------------------
    // Public Methods
    // -------------------------------------------------------------------------
    /**
     * Reads connection options from given yml file.
     */
    ConnectionOptionsJsonReader.prototype.read = function (path) {
        return __awaiter(this, void 0, void 0, function () {
            var contentsBuffer, contents, config;
            return __generator(this, function (_a) {
                contentsBuffer = PlatformTools.readFileSync(path);
                contents = contentsBuffer.toString();
                config = JSON.parse(contents);
                if (typeof config !== 'object') {
                    return [2 /*return*/, []];
                }
                // TODO: We eventually want to confirm that this is indeed a connection options file
                if (!Array.isArray(config)) {
                    return [2 /*return*/, [config]];
                }
                return [2 /*return*/, config];
            });
        });
    };
    return ConnectionOptionsJsonReader;
}());
export { ConnectionOptionsJsonReader };

//# sourceMappingURL=ConnectionOptionsJsonReader.js.map
