"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConnectionOptionsJsonReader = void 0;
var tslib_1 = require("tslib");
var PlatformTools_1 = require("../../platform/PlatformTools");
/**
 * Reads connection options defined in the JSON file.
 */
var ConnectionOptionsJsonReader = /** @class */ (function () {
    function ConnectionOptionsJsonReader() {
    }
    // -------------------------------------------------------------------------
    // Public Methods
    // -------------------------------------------------------------------------
    /**
     * Reads connection options from given yml file.
     */
    ConnectionOptionsJsonReader.prototype.read = function (path) {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            var contentsBuffer, contents, config;
            return tslib_1.__generator(this, function (_a) {
                contentsBuffer = PlatformTools_1.PlatformTools.readFileSync(path);
                contents = contentsBuffer.toString();
                config = JSON.parse(contents);
                if (typeof config !== 'object') {
                    return [2 /*return*/, []];
                }
                // TODO: We eventually want to confirm that this is indeed a connection options file
                if (!Array.isArray(config)) {
                    return [2 /*return*/, [config]];
                }
                return [2 /*return*/, config];
            });
        });
    };
    return ConnectionOptionsJsonReader;
}());
exports.ConnectionOptionsJsonReader = ConnectionOptionsJsonReader;

//# sourceMappingURL=ConnectionOptionsJsonReader.js.map
